<?php
namespace Incoviba\Common\Implement\Database\Query;

use Incoviba\Common\Define;

class Builder implements Define\Query\Builder
{
    public function create(string $table_name): Create
    {
        return (new Create())->table($table_name);
    }

    public function select(array|string $columns = '*'): Select
    {
        return (new Select())->columns($columns);
    }
    public function insert(): Insert
    {
        return new Insert();
    }
    public function update(string $table): Update
    {
        return (new Update())->table($table);
    }
    public function delete(): Delete
    {
        return new Delete();
    }
}
